ServiceAccounts
Get apiserviceaccountsv1serviceaccounts gitcredentials
GET
/
api
/
serviceAccounts
/
v1
/
serviceAccounts
/
{serviceAccountIdpId}
/
gitcredentials
cURL
curl --request GET \
--url https://mycluster.domino.tech/api/serviceAccounts/v1/serviceAccounts/{serviceAccountIdpId}/gitcredentials \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/serviceAccounts/v1/serviceAccounts/{serviceAccountIdpId}/gitcredentials"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/serviceAccounts/v1/serviceAccounts/{serviceAccountIdpId}/gitcredentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credentials": [
{
"domain": "github.com",
"fingerprint": "ba:78:09:d8:4b:3b:09:9b:43:bf:9b:5a:34:f7:3f:28",
"gitServiceProvider": "bitbucket",
"id": "<string>",
"name": "My creds",
"protocol": "https"
}
],
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>",
"limit": 123,
"offset": 123,
"totalCount": 123
}
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}Authorizations
nucleus_DominoApiKeynucleus_BearerAuthentication
Path Parameters
Query Parameters
How many from the start to skip. Defaults to 0.
Max number to fetch. Defaults to 10.
Last modified on August 27, 2026
Related topics
Delete apiserviceaccountsv1serviceaccounts gitcredentialsGet apiserviceaccountsv1serviceaccountsGet apiserviceaccountsv1serviceaccounts tokensGet apiserviceaccountsv1serviceaccounts tokens 1Was this page helpful?
⌘I
cURL
